Arch Wand

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Wall and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎українська • ‎中文(中国大陆)‎ • ‎中文(台灣)‎

Arch Wall.svg Arch Wand

Menüeintrag
Architektur → Wand
Arbeitsbereich
Arch
Standardtastenkürzel
W A
In der Version eingeführt
-
Siehe auch
Bauelement


Beschreibung

Dieses Werkzeug erzeugt neue Wände oder baut Wände basierend auf einem anderen Part- oder Netz-Objekt. Eine Wand kann ohne ein Basisobjekt erstellt werden, wobei es sich dann wie ein räumliches Objekt verhält, mit Länge-, Breite- und Höhe-Eigenschaften. Wird auf einem existierenden Objekt aufgebaut, kann eine Wand aufgesetzt werden auf:

  • linearen 2D-Objekten wie Linien, Drahtmodellen, Bögen oder Skizzen, wobei Dicke, Ausrichtung (rechts, links oder zentriert) und Höhe angepasst werden können
  • einer Ebene, wobei nur die Höhe angepasst werden kann
  • Ein Netz, wobei das darunterliegende Netz ein geschlossener, mannigfaltiger (manifold) Volumenkörper sein muss.

Arch Wall example.jpg

Wände, welche jeweils auf einer Linie, einem Drahtgitter, einer Fläche, einem Körper, sowie einer Skizze aufgebaut werden


Wände können auch Ergänzungen oder Aussparungen erhalten. Ergänzungen sind andere Objekte, deren Form mit der Wandform verschmolzen werden. Bei Aussparungen werden die Formen des anderen Objektes aus der Wand entfernt. Ergänzungen und Aussparungen können mit dem Arch Add.png Hinzufügen bzw. Arch Remove.png Entfernen Werkzeug erzeugt werden. Ergänzungen und Aussparungen haben keinen Einfluss auf Parameter wie Höhe oder Breite, die nach wie vor änderbar sind.

Wände können auch automatische Höhen erhalten, wenn sie Bestandteil komplexerer Objekte wie Etagen sind. Wird die Höhe der Wand mit 0 festgelegt, passt sich die Wandhöhe automatisch dem Eltern-Objekt an.

Wenn sich mehrere Wände überschneiden sollen, müssen sie in eine Etage platziert werden, damit sich ihre Geometrien schneiden.

Anwendung

Zeichnen einer neuen Wand

  1. Drücken Sie den Arch Wall.svg Arch Wand-Knopf, oder die Tasten W und A
  2. Klicken Sie einen ersten Punkt in der 3D-Ansicht oder tippen Sie eine Koordinate
  3. Klicken Sie einen zweiten Punkt in der 3D-Ansicht oder tippen Sie eine weitere Koordinate

Zeichnen einer Wand auf einem selektierten Objekt

  1. Selektieren Sie ein oder mehrere elementare Objekte (Draft-Objekt, Skizze, usw.)
  2. Drücken Sie den Arch Wall.svg Arch Wand-Knopf oder die Tasten W und A
  3. Passen Sie benötigte Parameter wie Höhe und Breite an.

Optionen

  • Wände haben die gleichen Eigenschaften und zeigen das gleiche Verhalten wie alle anderen Arch-Komponenten.
  • Die Höhe, Dicke und Ausrichtung einer Wand können während des Zeichnens über das Task-Panel geändert werden.
  • Wird eine Wand an einer existierenden Wand ausgerichtet, werden beide Wände zu einer verschmolzen. Die Art der Verschmelzung hängt von den Wandeigenschaften ab: Haben beide die selbe Dicke, Höhe und Ausrichtung, besteht die resultierende Wand aus mehreren Segmenten einer Skizze, anderenfalls wird die zweite Wand eine Ergänzung der ersten.
  • Drücken Sie die Tasten X, Y oder Z nach dem ersten Wandpunkt, um den zweiten Punkt auf die gegebene Achse zu beschränken.
  • Um Koordinaten manuell einzugeben, tippen Sie einfach die Zahlen und drücken anschließend Enter für jede X-, Y- und Z-Komponente.
  • Drücken Sie R oder verwenden Sie die Relativ-Checkbox, um den Relativmodus zu aktivieren/verlassen. Ist der Relativmodus aktiv, sind die Koordinaten des zweiten Punktes relativ zum ersten Punkt. Anderenfalls sind alle Werte absolut und beziehen sich auf den Koordinatenursprung (0,0,0).
  • Halten Sie die Strg-Taste während des Zeichnens, um einen Punkt auf die nächstmögliche Rastposition unabhängig von der Entfernung rasten zu lassen.
  • Halten Sie die Shift-Taste während des Zeichnens, um den zweiten Punkt horizontal oder vertikal zum ersten Punkt auszurichten.
  • Drücken Sie Esc oder den Abbrechen-Knopf um das aktuelle Kommando abzubrechen.
  • Ein Doppelklick auf eine Wand in der Baumansicht öffnet den Edit-Modus, welcher das Ändern von Ergänzungen oder Aussparungen der Wand erlaubt.

Einrasten (Snapping)

Einrasten funktioniert bei Arch-Wänden etwas anders als bei anderen Arch- und Draft-Objekten. Wenn eine Wand ein Basislinien-Objekt hat, erfolgt das Einrasten am Basisobjekt anstatt an der Wand-Geometrie, um Wände einfach an der Basislinie ausrichten zu können. Falls Sie aber speziell an der Wand-Geometrie rasten möchten, wird das Drücken von Strg das Einrasten auf das Wand-Objekt ändern.

Arch wall snap.jpg

Die zweite Wand rastet lotrecht an die erste


Eigenschaften

Wand-Objekte erben die Eigenschaften von Part-Objekten und haben außerdem die folgenden zusätzlichen Eigenschaften:

  • Daten-EigenschaftAlign: Die Ausrichtung der Wand an ihrer Basislinie: Left, Right oder Center (links, rechts oder mittig)
  • Daten-EigenschaftBase: Das Basisobjekt, auf dem diese Wand gebaut wurde
  • Daten-EigenschaftFace: Der Index der Fläche des zu benutzenden Basisobjekts. Falls der Wert nicht gesetzt wurde oder 0 ist, wird das gesamt Objekt benutzt
  • Daten-EigenschaftForce Wire: Falls True, und die Wand auf einer Fläche basiert, wird nur die Grenzlinie (border wire) der Fläche benutzt, so dass die Wand die Fläche begrenzt
  • Daten-EigenschaftLength: Die Länge der Wand (wird nicht benutzt, wenn die Wand auf einer Fläche basiert)
  • Daten-EigenschaftWidth: Die Breite der Wand (wird nicht benutzt, wenn die Wand auf einer Fläche basiert)
  • Daten-EigenschaftHeight: Die Höhe der Wand (wird nicht benutzt, wenn die Wand auf einer Fläche basiert)
  • Daten-EigenschaftNormal: Eine Extrusionsrichtung für die Wand. Wenn auf (0,0,0) gesetzt, ist die Extrusionsrichtung automatisch
  • Daten-EigenschaftOffset: Dies legt den Abstand zwischen der Wand und ihrer Basislinie fest. Das funktionier nur, wenn die Align-Eigenschaft auf Right (rechts) oder Left (links) gesetzt ist.

introduced in version 0.18:

  • Daten-EigenschaftMake Blocks: Aktiviere dies, damit die Wand aus Bausteinen (blocks) erzeugt wird
  • Daten-EigenschaftBlock Length: Die Länge jedes Bausteins
  • Daten-EigenschaftBlock Height: Die Höhe jedes Bausteins
  • Daten-EigenschaftOffset First: Der horizontale Abstand der erste Reihe von Bausteinen
  • Daten-EigenschaftOffset Second: Der horizontale Abstand der zweiten Reihe von Bausteinen
  • Daten-EigenschaftJoint: Die Größe der Fugen zwischen jedem Baustein
  • Daten-EigenschaftCount Entire: Die Anzahl von ganzen Bausteinen (read-only)
  • Daten-EigenschaftCount Broken: Die Anzahl von geschnittenen (broken) Bausteinen (read-only)

Scripting

Siehe auch: Arch API und FreeCAD Scripting Basics.

Das Wand-Werkzeug kann in Makros und aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:

Wall = makeWall(baseobj=None, length=None, width=None, height=None, align="Center", face=None, name="Wall")
  • Erzeugt ein Wall-Objekt aus dem gegebenen baseobj, welches ein Draft-Objekt, eine Skizze, eine Fläche oder ein Körper sein kann.
  • Falls kein baseobj angegeben wurde, können die numerische Werte für Länge, Breite und Höhe vorgegeben werden.
    • Falls angegeben, kann face genutzt werden, um den Index einer Fläche des zugrundeliegenden Objekts anzugeben, auf dem diese Wand erstellt wird, anstatt das komplette Objekt zu verwenden.
  • align kann auf "Center", "Left" oder "Right" gesetzt werden.
  • Liefert None zurück, falls die Operation fehlschlägt.

Beispiel:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
Draft.move(Wall2, FreeCAD.Vector(0, -1000, 0))
FreeCAD.ActiveDocument.recompute()